#
# spec file for package
#
# Copyright (c) specCURRENT_YEAR SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           xf86-video-armsoc
Version:        1.4.1
Release:        1.3
License:        MIT
Summary:        Generic DDX driver with DRI2 support for ARM SoCs
Url:            http://cgit.freedesktop.org/xorg/driver/xf86-video-armsoc/
Group:          System/X11/Servers/XF86_4
Source0:        %{name}-%{version}.tar.gz
Source1:        exynos.conf
BuildRequires:  Mesa-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  xorg-x11-server-sdk
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(libdrm) >= 2.0
BuildRequires:  pkgconfig(pciaccess) >= 0.10
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xf86dgaproto)
BuildRequires:  pkgconfig(xf86driproto)
BuildRequires:  pkgconfig(xineramaproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xorg-server) >= 1.0.99.901
BuildRequires:  pkgconfig(xproto)
Supplements:    xorg-x11-server
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Generic DDX driver with DRI2 support for ARM SoCs which expose a DRM/KMS interface.

%prep
%setup -q

%build
sh -x autogen.sh
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
mkdir -p %{buildroot}%{_sysconfdir}/X11/xorg.conf.d
install -m 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xorg.conf.d/

%files
%defattr(-,root,root)
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/armsoc_drv.so
%{_mandir}/man4/armsoc.4%{?ext_man}
%{_sysconfdir}/X11/xorg.conf.d/exynos.conf

%changelog
* Wed Nov 15 2017 guillaume@opensuse.org
- Update to 1.4.1:
  * New drivers : sti, kirin
  * Fix build with new Xorg API
* Thu Jan 14 2016 guillaume@opensuse.org
- Update to 1.4.0
* Fri Aug 14 2015 guillaume@opensuse.org
- Update to 1.3.0
- Remove upstreamed patch:
  * fix_build.patch
* Wed Dec  3 2014 guillaume@opensuse.org
- Add fix_build.patch to fix build in Factory
* Tue Dec  2 2014 guillaume@opensuse.org
- Update to 1.1.0
* Thu Mar 20 2014 guillaume@opensuse.org
- Update to 0.7.0
* Thu Jan 30 2014 guillaume@opensuse.org
- Clean-up spec file
* Thu Jan 30 2014 guillaume@opensuse.org
- Update to 0.6.0 from freedesktop.org repo
* Thu Apr 11 2013 awafaa@opensuse.org
- Update to 0.5.1 from Linaro
* Fri Dec 14 2012 awafaa@opensuse.org
- Add exynos.conf
* Fri Nov  2 2012 awafaa@opensuse.org
- Add 0001-copy-paste-from-omap-driver-to-get-it-compiled.patch
  + Provides ABI compatability
* Wed Oct 31 2012 awafaa@opensuse.org
- Initial import for openSUSE version 0.0.1
